CURLOPT_NOBODY(3)

NAME
CURLOPT_NOBODY - do the request without getting the body

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_NOBODY, long opt);

DESCRIPTION
A long parameter set to 1 tells libcurl to not include the body-part in the output. For HTTP(S), this makes libcurl do a HEAD request. For most other protocols it means just not asking to transfer the body data.

DEFAULT
0, the body is transferred

PROTOCOLS
Most

EXAMPLE
TODO

AVAILABILITY
Always

RETURN VALUE
Returns CURLE_OK

SEE ALSO
CURLOPT_HTTPGET(3), CURLOPT_POST(3),